Bug 23870 - pci_id_match table needs to hardcode supported device IDs
Summary: pci_id_match table needs to hardcode supported device IDs
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Aaron Plattner
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-11 16:11 UTC by Mario Limonciello
Modified: 2012-01-22 12:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Move logic for matching devices out of probe routine (37.22 KB, patch)
2009-09-12 07:27 UTC, Mario Limonciello
no flags Details | Splinter Review
Run the parsing script once (48.18 KB, patch)
2009-09-12 07:27 UTC, Mario Limonciello
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Limonciello 2009-09-11 16:11:44 UTC
The only graphics drivers that can safely use PCI_MATCH_ANY are 'vesa' and 'fbdev'.  -ati and -intel both explicitly list out their supported hardware.

By using PCI_MATCH_ANY for the device IDs, the nvidia driver erroneously reports that it is able to support ANY NVIDIA hardware but then collapses during the probe routine on any unsupported NVIDIA device.

Because the actual failure happens in the probe routine, the X server has already allocated an entity for this card, and a fallback to VESA or FBDEV is no longer possible.  This causes trouble when trying to use a system without an xorg.conf.


I'd recommend looking at -ati as they dynamically generate their list of supported IDs.

There are a few handfuls of bugs on the Ubuntu launchpad tracker for karmic that won't boot to X on a live disk, and boil down to this problem, I'd be glad to share links if requested.
Comment 1 Mario Limonciello 2009-09-12 07:27:03 UTC
Created attachment 29454 [details] [review]
Move logic for matching devices out of probe routine
Comment 2 Mario Limonciello 2009-09-12 07:27:18 UTC
Created attachment 29455 [details] [review]
Run the parsing script once
Comment 3 Corbin Simpson 2012-01-22 12:30:40 UTC
Nobody is supporting xf86-video-nv and it will be going away at some point in the future. If your problem persists with nouveau or the proprietary driver provided by nVidia, please re-file accordingly. We apologize for the inconvenience.

This is part of an automated bulk action; if you believe that this bug was closed in error, then change the targeted component and reopen it.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.